{ config, pkgs, inputs, ... }:

{
  nixpkgs.overlays = [
    (self: super: {
      # Experimental features in Waybar gives us access to workspace selectors
      waybar = super.waybar.overrideAttrs (oldAttrs: {
        mesonFlags = oldAttrs.mesonFlags ++ [ "-Dexperimental=true" ];
      });
    })
    inputs.codeium.overlays.x86_64-linux.default
    inputs.hyprcontrib.overlays.default
  ];

  virtualisation.docker.enable = true;

  users.groups = {
    tmux.gid = 1000; # Used for tmux pairing
  };

  systemd.tmpfiles.rules = [
    "d /var/tmux_share 2770 tsv tmux"
  ];
}
